Package org.jfree.report.expressions.sys

# Class IsEmptyDataExpression

java.lang.Object
org.jfree.report.expressions.AbstractExpression
org.jfree.report.expressions.sys.IsEmptyDataExpression

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Expression`

public class IsEmptyDataExpression extends AbstractExpression
Creation-Date: 31.01.2006, 18:55:09

Author:
  Thomas Morgner
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`IsEmptyDataExpression()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`computeValue()`
Return the current expression value.

### Methods inherited from class org.jfree.report.expressions.AbstractExpression

`clone, getDataRow, getInstance, getName, getParentLocale, getReportConfiguration, getResourceBundleFactory, getRuntime, isDeepTraversing, isPrecompute, isPreserve, setDeepTraversing, setName, setPrecompute, setPreserve, setRuntime`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IsEmptyDataExpression

public IsEmptyDataExpression()

## Method Details

### computeValue

public Object computeValue() throws DataSourceException
Return the current expression value.

The value depends (obviously) on the expression implementation.

Returns:
  the value of the function.
Throws:
  `DataSourceException`